Name:           easybashgui
Version:        4.0.3
Release:        2%{?dist}
Summary:        Bash function library
Summary(fr):    Bibliothèque de fonctions Bash

License:        GPLv3
URL:            https://sites.google.com/site/easybashgui/
# The tarball is not available for download by wget
# You can download the tarball at this url:
# https://sites.google.com/site/easybashgui/download
Source0:        EasyBashGUI_%{version}.tar.gz
# Patch to move from /usr/local/bin/*.xpm to /usr/share/easybashgui/
Patch0:         %{name}-4.0.2-file_location.patch

Requires:       xdialog
Requires:       zenity
Requires:       dialog
BuildArch:      noarch


%description
EasyBashGUI is a bash function library that aims to give simple GUI functions
using gtkdialog, kdialog, zenity, Xdialog, dialog, or whiptail depending on
KDE or GNOME running or not, Gtkdialog or Xdialog installed or not and X server
running or not ( (c)dialog or whiptail is the minimum ). So, if bash programmer
writes: "message 'Thanks for using this program' ", he has not to worry in which
environment his program runs: it is enough there is at least (c)dialog or
whiptail installed, and program will work as expected. Obviously, if user has
KDE, GNOME, or gtkdialog/Xdialog also installed ( and he's in a X session ),
program will have "an other look", but logical flow is *exactly* the same. In
EasyBashGUI "suite" there are a library ( "easybashgui_X.X.X" ), a script to
quick test it ( "easybashgui_test.sh" ), and a stand-alone script to create
dialog boxes externally ( "easydialog.sh" ).

%description -l fr
EasyBashGUI est une bibliothèque de fonctions bash qui vise à donner de simple
fonctions GUI avec gtkdialog, kdialog, zenity, Xdialog, dialog, ou whiptail
dépendants de GNOME ou KDE, Gtkdialog ou Xdialog d'installés ou non et d'un
serveur X lancé ou non ( (c)dialog ou whiptail étant le minimum ). Donc, si un
programmeur en bash écrit: "message 'Merci d'avoir utilisé ce programme' ", il
ne sera pas contrarié par l'environnement dans lequel est lancé son programme:
il suffit que (c)dialog ou whiptail soient installés, et le programme
fonctionnera comme prévu. De toute évidence, si l'utilisateur a GNOME, KDE, ou
gtkdialog/Xdialog également installés ( et qu'il soit dans une session X ), le
logiciel aura un aspect différent, mais le flux logique reste exactement le
même. Dans la suite EasyBashGUI est fourni une blibliothèque
( "easybashgui_X.X.X" ), un script pour la tester rapidement
( "easybashgui_test.sh" ), et un script standalone pour créer des boites de
dialogue externes ( "easydialog.sh" ).


%prep
%setup -qn EasyBashGUI_%{version}
%patch0 -p1
# Remove shebang from easybashgui_test.sh :
sed -i "s@#!/usr/bin/env bash@@" ./easybashgui_test.sh


%build
# Nothing to build


%install
# Install binary :
mkdir -p %{buildroot}%{_bindir}
install -pm 755 ./%{name}_%{version} %{buildroot}%{_bindir}/%{name}
# Install external dialog boxes script :
install -pm 755 ./easydialog.sh %{buildroot}%{_bindir}/easydialog
# Install shared files (that need Patch0) :
mkdir -p %{buildroot}%{_datadir}/%{name}
install -pm 644 ./Ok.xpm ./Attenzione.xpm %{buildroot}%{_datadir}/%{name}/
# Fix mode of easybashgui_test.sh :
chmod 644 ./easybashgui_test.sh


%files
%doc EasyBashGUI-readme EasyBashGUI-license easybashgui_test.sh
%{_bindir}/%{name}
%{_bindir}/easydialog
%{_datadir}/%{name}/


%changelog
* Thu Aug 16 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 4.0.3-2
- Add French translation in spec file

* Sat Jun 23 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 4.0.3-1
- update to 4.0.3

* Tue Mar 06 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 4.0.2-2
- fix typo in %%description
- add easybashgui_test in %%doc
- remove shebang by sed statement in %%prep
- fix mode of easybashgui_test.sh file

* Sat Feb 25 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 4.0.2-1
- Initial Release
